#2 Incompatibility to rst mode

open
nobody
None
5
2004-03-19
2004-03-19
Polzin
No

I wanted to use table-1.5.54.el in combination with
the restructured text markup mode. (Restructured Text
features table.el like tables!)

Unfortunately there is a problem: Using table and rst
mode together, the following happens:
If I type some text without stopping in a cell of a
column nr. >1, everything is displayed in the correct
cell after stopping. The cursor is at the currect
place. If I start typing again, the cursor (and the
text) jumps to the cell to the left. (Instead of
the cell, the cursor was in befor typing.)

Setting "fundamental-mode", everything works fine.

Any Idea?

rst-mode.el can be downloaded
http://cvs.sourceforge.net/viewcvs.py/\*checkout*/docutils/docutils/tools/editors/emacs/rst-mode.el?rev=HEAD&content-type=text/plain

Emacs: 21.2.1 (under windows)

Tobias

Discussion

  • Polzin
    Polzin
    2004-03-19

     
    Attachments
  • Takaaki Ota
    Takaaki Ota
    2004-03-19

    Logged In: YES
    user_id=90021

    Could you tell me where I can get the same rst package you
    are using? I first need to reproduce the problem in my
    environment. Thanks.

     
  • Polzin
    Polzin
    2004-03-22

    Logged In: YES
    user_id=586666

    @takota:

    I am a bit confused: There war an URL in the text and a .el
    file attached.

    Did you overlook this or did I miss what you need?

    Tobias

     
  • Polzin
    Polzin
    2004-04-02

    Logged In: YES
    user_id=586666

    I just found out that it also works when I disable the
    "font-lock-mode".

     
  • Logged In: NO

    I have verified the problem you described by Emacs 21.2.1
    under windows. If you use the latest beta version of emacs
    (21.3.50.1) from http://savannah.gnu.org/cvs/?group=emacs
    the problem does not show up.

    I don't know how soom I can come up with the solution to
    this problem. If you are in hurry could you bear with
    21.3.50.1? It comes with the latest table.el code as a part of
    Emacs and it takes advantage of 21.3.50 specific features
    and is not backward compatible. The 21.3.50 from the CVS is
    fairly stable now and that is what I am using daily.